/*
Bounce 0.9
Copyright 2003 Tim Gradwell
Bounce is distributed under the terms of the GNU General Public License 

This file is part of Bounce.

Bounce is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

Bounce is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Bounce; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include "fileio.h"

void load()
{
   FILE* fin;
   int result;
 
   fin = fopen("levels.dat", "rb");
   result = fread(levelBrick, sizeof(int), 10*ROWS*COLUMNS, fin);
   fclose(fin);

   fin = fopen("high.dat", "rb");
   result = fread(names, sizeof(char), 5*4, fin);
   result = fread(highscores, sizeof(int), 5, fin);
   result = fread(highlevels, sizeof(int), 5, fin);
   fclose(fin);
}

void save()
{
   FILE* fout;
   int result;

   fout = fopen("high.dat", "wb");
   result = fwrite(names, sizeof(char), 20, fout);
   result = fwrite(highscores, sizeof(int), 5, fout);
   result = fwrite(highlevels, sizeof(int), 5, fout);

   fclose(fout);
}
