/*
Bounce 0.9
Copyright 2003 Tim Gradwell
Bounce is distributed under the terms of the GNU General Public License 

This file is part of Bounce.

Bounce is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

Bounce is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Bounce; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#include "fps.h"

void fps(int frac)
{
   static int frame=0, timebase=0;
   int time, timeElapsed;

   frame++;
   time=glutGet(GLUT_ELAPSED_TIME);
   timeElapsed=time-timebase;

	if (timeElapsed > (1000 / frac)) {
	 	timebase = time;
	 	frame*=frac;
      ifps = frame;
		frame = 0;
	}
}

