/*
Bounce 0.9
Copyright 2003 Tim Gradwell
Bounce is distributed under the terms of the GNU General Public License 

This file is part of Bounce.

Bounce is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

Bounce is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Bounce; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#define DEV_CPP
/*#define FPS*/

#define GAME_SPEED 0.075

#define LEFT 0
#define RIGHT 1024
#define BOTTOM 0
#define TOP 768

#define POWERUP_SIZE 10.0

#define POWERUP_TEXT_DISPLAY_TIME 100.0

#define BALL_VELOCITY 1.0

#define SPEED_UP 1.3

#define MAX_POWERUPS 5

#define WORLD_WIDTH 1024
#define WORLD_HEIGHT 768

#define START_OPENING 1
#define START_OPTIONS 2
#define START_HIGH_SCORES 3
#define START_EXIT 4

#define SECTION_START_SCREEN 1
#define SECTION_GAME 2
#define SECTION_GAME_OVER 3

#define SELECTION_NEW_GAME 1
#define SELECTION_OPTIONS 2
#define SELECTION_HIGH_SCORES 3
#define SELECTION_EXIT 4

#define OPTIONS_DIFFICULTY 1
#define OPTIONS_SOUND 2
/*#define OPTIONS_MUSIC 3*/
#define OPTIONS_BACK 3

#define DIFFICULTY_EASY 1
#define DIFFICULTY_NORMAL 2
#define DIFFICULTY_HARD 3

#define SOUND_ON 1
#define SOUND_OFF 2

/*#define MUSIC_ON 1*/
/*#define MUSIC_OFF 2*/

#define EXIT_YES 1
#define EXIT_NO 2

#define HIGH_SCORE_BACK 1
#define HIGH_SCORE_CLEAR 2

#define GAME_OVER_LOOSE 1
#define GAME_OVER_HIGH_SCORE 2
#define ENTERING_HIGH_SCORE 3

#define MOUSE_WIDTH 1280
#define MOUSE_HEIGHT 960

#define LEFT_BOUND 262
#define RIGHT_BOUND 762
#define TOP_BOUND 668
#define BOTTOM_BOUND 10

#define BALL_VELOCITY_EASY 2.5
#define BALL_VELOCITY_NORMAL 3.0
#define BALL_VELOCITY_HARD 3.5

#define BAT_WIDTH_EASY 80.0
#define BAT_WIDTH_NORMAL 75.0
#define BAT_WIDTH_HARD 70.0

#define ROWS 10
#define COLUMNS 10

#define KEY_BAT_VELOCITY 50

#define SOUNDS 17

#define SOUND_BAT                0
#define SOUND_BIG_BAT            1
#define SOUND_BRICK              2
#define SOUND_BRICK_CHANGE_COLOR 3
#define SOUND_EXTRA_LIFE         4
#define SOUND_GAME_OVER          5
#define SOUND_LEVEL_UP           6
#define SOUND_LOOSE_LIFE         7
#define SOUND_MENU_MOVE          8
#define SOUND_MENU_SELECT        9
#define SOUND_POWERBALL         10
#define SOUND_POWERUP           11
#define SOUND_SLOW_DOWN         12
#define SOUND_SMALL_BAT         13
#define SOUND_SPEED_UP          14
#define SOUND_UBER_BAT          15
#define SOUND_WALL              16

