/*
Bounce 0.9
Copyright 2003 Tim Gradwell
Bounce is distributed under the terms of the GNU General Public License 

This file is part of Bounce.

Bounce is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

Bounce is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Bounce; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include <GL/glut.h>
#include "general.h"
#include "fileio.h"
#include <stdlib.h>
#include "types.h"
#include <AL/al.h>
#include <AL/alc.h>
#include <AL/alut.h>
#include <string.h>

extern float ballX, ballY, ballXVelocity, ballYVelocity, ballWidth, ballHeight;
extern float newBallX, newBallY;
extern float batX, batY, batWidth, batHeight;
extern float brickWidth, brickHeight;
extern float ballVelocity;
extern bool holdingBall;
extern bool ballDownwards;
extern bool ballLeftwards;
extern int oldMouseX, oldMouseY;
extern float brickCoord[COLUMNS][ROWS][2][2];
extern int brick[COLUMNS][ROWS];
extern int keyBatVelocity;

extern float powerupVelocity;

extern int powerups;
extern int powerupEffects;

extern MOUSE mouse;

extern POWERUP powerup[MAX_POWERUPS];
extern POWERUP_EFFECT powerupEffect[8];

extern float slowdown;

extern int boardWidth;
extern int boardHeight;

extern int score, level, lives;

extern float colors[8][3];
extern int startScreen;
extern int gameSection;
extern int openingSelection;
extern int optionsSelection;
extern int highScoreSelection;
extern int exitSelection;
extern int difficulty;
extern int optionSound;
/*extern int optionMusic;*/

extern ALuint buffer[SOUNDS];
extern ALuint source[SOUNDS];

void assignColors();
void myInit();
void makeBrick(int brickX, int brickY);
void makeBricks();
void initAL();
void loadWAV(char* name, ALuint* sourceAdd, ALuint bufferAdd);

