/*
Bounce 0.9
Copyright 2003 Tim Gradwell
Bounce is distributed under the terms of the GNU General Public License 

This file is part of Bounce.

Bounce is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

Bounce is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Bounce; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include <GL/glut.h>
#include "general.h"
#include "game.h"
#include "types.h"
#include "sound.h"

extern int gameSection;
extern int highScoreSection;
extern int openingSelection;
extern int optionsSelection;
extern int highScoreSelection;
extern int startScreen;
extern int difficulty;
extern int optionSound;
/*extern int optionMusic;*/
extern int oldMouseX, oldMouseY;
extern float ballX, ballY, ballXVelocity, ballYVelocity, ballWidth, ballHeight;
extern float newBallX, newBallY;
extern float batX, batY, batWidth, batHeight;
extern float brickWidth, brickHeight;
extern float ballVelocity;
extern int screenWidth;
extern int screenHeight;
extern bool holdingBall;
extern int keyBatVelocity;

extern int cursor;

extern MOUSE mouse;

void keyboardGame(unsigned char key);
void endTheLevel();
void keyboardHighScores(unsigned char key);
void keyboardStartGame(unsigned char key);
void keyboardStartOpening(unsigned char key);
void keyboardStartOptions(unsigned char key);
void keyboardGameOver(unsigned char key);
void keyboardEnteringHighScore(unsigned char key);
void keyboard(unsigned char key, int x, int y);
void specialGame(int key);
void specialStartGame(int key);
void specialStartOpening(int key);
void optionInc();
void specialStartOptions(int key);
void special(int key, int x, int y);
void processPassiveMotion(int x, int y);
void processMouse(int button, int state, int x, int y);
void processActiveMotion(int x, int y);
void specialGameOver();
void highScoreInc();
void specialHighScores(int key);

